# Deprecated API

## Contents

- Interfaces
- Classes
- Fields
- Methods
- Constructors

Deprecated Interfaces
Interface
Description
org.python.core.InitModule
This class is deprecated. See ClassDictInit for a replacement.

Deprecated Classes
Class
Description
org.python.core.PyBuffer.Pointer
org.python.modules.SHA224Digest
use the SHA224 implementation provided in Java 8 and later

Deprecated Fields
Field
Description
org.python.core.Options.verbose
Use `PrePy.getLoggingLevel()`, `PrePy.setLoggingLevel(java.util.logging.Level)`, or `java.util.logging` preferences to configure logging levels.
org.python.core.PyInteger.maxInt
Use MAX_INT instead.
org.python.core.PyInteger.minInt
Use MIN_INT instead.
org.python.core.PyLong.maxLong
Use MAX_INT instead.
org.python.core.PyLong.maxULong
Use MAX_ULONG instead.
org.python.core.PyLong.minLong
Use MIN_INT instead.

Deprecated Methods
Method
Description
org.python.core.imp.compileSource(String, File, String, String)
Use `imp.compileSource(String, File, String)` instead.
org.python.core.imp.importAll(String, PyFrame)
org.python.core.imp.importFrom(String, String[], PyFrame)
use importFrom with level param.
org.python.core.imp.importFromAs(String, String[], PyFrame)
use importFromAs with level param.
org.python.core.imp.importOne(String, PyFrame)
org.python.core.imp.importOneAs(String, PyFrame)
org.python.core.Py.matchException(PyException, PyObject)
As of Jython 2.5, use `PyException.match(org.python.core.PyObject)` instead.
org.python.core.PyArray.getStorageSize()
Use `PyArray.getItemsize()` instead which (since 2.7.3) gives the same result.
org.python.core.PyFunction.delFuncClosure()
org.python.core.PyFunction.delFuncDefaults()
org.python.core.PyFunction.delFuncDict()
org.python.core.PyFunction.delFuncDoc()
org.python.core.PyFunction.delFuncGlobals()
org.python.core.PyFunction.delFuncName()
org.python.core.PyFunction.getFuncClosure()
org.python.core.PyFunction.getFuncCode()
org.python.core.PyFunction.getFuncDefaults()
org.python.core.PyFunction.getFuncDict()
org.python.core.PyFunction.getFuncDoc()
org.python.core.PyFunction.getFuncGlobals()
org.python.core.PyFunction.getFuncName()
org.python.core.PyFunction.setFuncClosure(PyObject)
org.python.core.PyFunction.setFuncCode(PyCode)
org.python.core.PyFunction.setFuncDefaults(PyObject)
org.python.core.PyFunction.setFuncDict(PyObject)
org.python.core.PyFunction.setFuncDoc(PyObject)
org.python.core.PyFunction.setFuncGlobals(PyObject)
org.python.core.PyFunction.setFuncName(String)
org.python.core.PyMethod.getFunc()
org.python.core.PyMethod.getSelf()
org.python.core.PySystemState.shadow()
org.python.modules._codecs.unicode_internal_decode(String)
org.python.modules._codecs.unicode_internal_decode(String, String)
org.python.modules._codecs.unicode_internal_encode(String)
org.python.modules._codecs.unicode_internal_encode(String, String)
org.python.modules.errno.strerror(PyObject)
Use jnr.constants.platform.Errno.valueOf(code).toString() (or os.strerror from Python) instead.
org.python.modules.jffi.SkinnyMethodAdapter.visitMethodInsn(int, String, String, String)
org.python.util.jython.run(String[])

Deprecated Constructors
Constructor
Description
org.python.core.PyShadowString(PyObject, String)
use the constructor with strings instead.